<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserFollow extends Model
{
    use HasFactory,HasDateTimeFormatter;

    public function user()
    {
        return $this->belongsTo(User::class,'user_id','id');
    }

    public function target_user()
    {
        return $this->belongsTo(User::class,'target_id','id');
    }
}
